#
# spec file for package dleyna-core
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dleyna-core
Version:        0.5.0
Release:        6.1
Summary:        Utility functions used by higher level dLeyna libraries
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://01.org/dleyna
Source:         https://01.org/sites/default/files/downloads/dleyna/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gio-2.0) >= 2.28
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.28
BuildRequires:  pkgconfig(gupnp-1.0) >= 0.20.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dleyna-core is a library of utility functions that are used by the higher level dLeyna libraries that
communicate with DLNA devices, e.g., dleyna-server.

In brief, it provides APIs for logging, error, settings and task management and an IPC abstraction API.

%package -n libdleyna-core-1_0-4
Summary:        Utility functions used by higher level dLeyna libraries
Group:          System/Libraries

%description -n libdleyna-core-1_0-4
dleyna-core is a library of utility functions that are used by the higher level dLeyna libraries that
communicate with DLNA devices, e.g., dleyna-server.

In brief, it provides APIs for logging, error, settings and task management and an IPC abstraction API.

%package devel
Summary:        Utility functions used by higher level dLeyna libraries -- Development files
Group:          Development/Languages/C and C++
Requires:       libdleyna-core-1_0-4 = %{version}

%description devel
dleyna-core is a library of utility functions that are used by the higher level dLeyna libraries that
communicate with DLNA devices, e.g., dleyna-server.

In brief, it provides APIs for logging, error, settings and task management and an IPC abstraction API.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n libdleyna-core-1_0-4 -p /sbin/ldconfig

%postun -n libdleyna-core-1_0-4 -p /sbin/ldconfig

%files -n libdleyna-core-1_0-4
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libdleyna-core-1.0.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dleyna-1.0/
%{_libdir}/libdleyna-core-1.0.so
%{_libdir}/pkgconfig/dleyna-core-1.0.pc

%changelog
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 0.5.0:
  + [m4] Don't use bash arrays in m4 macros.
  + [Autoconf] Add --no-undefined to compiler option.
  + [settings]:
  - Add "push-host-port" setting.
  - Add "port" setting.
  + [Warnings] Fix compile warnings on ARM.
- Rename subpackage libdleyna-core-1_0-4 following upstreams soname
  bump.
* Mon Aug 25 2014 dimstar@opensuse.org
- Update to version 0.4.0:
  + Minor bug fixes.
- Rename libdleyna-core-1_0-1 subpackage to libdleyna-core-1_0-3,
  following upstreams soname bump.
* Mon Aug 12 2013 dimstar@opensuse.org
- Initial package, version 0.1.0.
